commit:     3db7858f6f053980c3eb8fd67b8799bc5344b553
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 22 05:47:35 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Feb 22 07:23:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3db7858f

app-arch/lrzip: bump to 0.640

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-arch/lrzip/Manifest           |  1 +
 app-arch/lrzip/lrzip-0.640.ebuild | 51 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/app-arch/lrzip/Manifest b/app-arch/lrzip/Manifest
index c40fbe97bd6..a9754c99fe3 100644
--- a/app-arch/lrzip/Manifest
+++ b/app-arch/lrzip/Manifest
@@ -1 +1,2 @@
 DIST lrzip-0.631_p20190619.tar.gz 259195 BLAKE2B 
d0bedfe02485011e48fa07240b1eef68560d8d61f5d28dae25bd9fcb1c41c1b8bc1b552acb06a49d853b70a0912371cec9caebb2bf7905ef528c2408d2153297
 SHA512 
f366c31c84a52f6ccfba56e8b11c0bcd270482d9d120e07783fbe310d7a62dddfa60ecd310a7630e7c98cfb961f57fc9e6b843d3857d0c90d36c580074528298
+DIST lrzip-0.640.tar.gz 262860 BLAKE2B 
21e7e6f566ae238c85e89382a000b210621773b00cb2c509dc2e1b89dfa591a1cca954c0105ef624ed97af43f8904d67d570a0e3734dda7823f809a496cff5aa
 SHA512 
efcf7d5cbb7c2a2a117ec815f87edf37e5500f2294a16aaa16cfe10b3db77e3cc2eb4118def4936da03323ca3ee961000e98f49ca0c18eec6ba935eac412cc8b

diff --git a/app-arch/lrzip/lrzip-0.640.ebuild 
b/app-arch/lrzip/lrzip-0.640.ebuild
new file mode 100644
index 00000000000..a5c7f90aa0c
--- /dev/null
+++ b/app-arch/lrzip/lrzip-0.640.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Long Range ZIP or Lzma RZIP optimized for compressing large files"
+HOMEPAGE="https://github.com/ckolivas/lrzip";
+SRC_URI="https://github.com/ckolivas/lrzip/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="static-libs"
+
+RDEPEND="
+       app-arch/bzip2
+       dev-libs/lzo
+       app-arch/lz4
+       sys-libs/zlib
+"
+DEPEND="
+       ${RDEPEND}
+       virtual/perl-Pod-Parser
+       x86? ( dev-lang/nasm )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-missing-stdarg_h.patch
+       "${FILESDIR}"/${PN}-0.631-solaris.patch
+)
+
+src_prepare() {
+       default
+
+       eautoreconf
+}
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+src_install() {
+       default
+       # Don't collide with net-dialup/lrzsz and /usr/bin/lrz, bug #588206
+       rm -f "${ED}"/usr/bin/lrz || die
+       rm -f "${ED}"/usr/share/man/man1/lrz.* || die
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to